user  nginx;
worker_processes  1;

#error_log  /var/log/nginx/error.log;
error_log  off;

pid        /run/nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

#    access_log  /var/log/nginx/access.log  main;
    access_log  off;

    sendfile        on;
    keepalive_timeout  65;

    server {
        listen       80;
        server_name  localhost;
		
        charset UTF-8;

        location / {
            root   /var/www/html;
            index  index.html index.php;
        }

        location ~ \.php$ {
            include /etc/nginx/fastcgi_params;
            fastcgi_pass unix:/var/run/php-fpm/php-fpm.sock;
            fastcgi_index index.php;
            fastcgi_param SCRIPT_FILENAME  /var/www/html$fastcgi_script_name;
        }
		
		# Serve cover art to MPaD and MPoD
        location /music/ {
            root /storage/music/flac;
            rewrite /music/(.*) /$1 break;
            try_files $uri $uri;
        }

        # redirect server error pages to the static page /40x.html
        #
		error_page 404 403 /errors/404.html;
		location  /var/www/html/errors/404.html {
			internal;
		}
        # redirect server error pages to the static page /50x.html
        #
        error_page   500 502 503 504  /errors/50x.html;
        location = /var/www/html/errors/50x.html {
			internal;
        }
    }
}