#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#

# Path to ffmpeg binary 
FFMPEG="$(which ffmpeg)"

function echolog {
	echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

if [ $# -ne 1 ]
then
    echo "Usage: auto_mirror_aiff flacdir"
    exit 1
fi

flacdir="$1"
aiffdir=`echo $flacdir | sed -e "s;/flac/;/aiff/;" -`

# Mirror to aiff
if [ -f /etc/vortexbox/autoaiff ]; then
	#echo "Mirroring FLAC files in $flacdir to aiff in $aiffdir"
	
	# Wait for other mirroring process to finish
	while [ -f /etc/vortexbox/mirror.running ]; do 
		sleep 3
	done

	# Block new mirroring process from starting
	touch /etc/vortexbox/mirror.running

	if [ ! -x "$FFMPEG" ]; then
	  echo "ERROR: ffmpeg not installed installing..." >&2
	  dnf -y install ffmpeg --skip-broken
	fi
    
	echolog "Mirror of FLAC files in $flacdir to aiff in $aiffdir started."
	/usr/local/sbin/flac2aiff.php "$flacdir" "$aiffdir"
	echolog "Mirror of FLAC files in $flacdir to aiff in $aiffdir completed."
	
	# allow other processes to run
	rm /etc/vortexbox/mirror.running
fi