#!/bin/bash
# Copyright (C) 2009 - 2015 Small Green Computer
#

function echolog {
	echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

if [ $# -ne 1 ]
then
    echo "Usage: auto_mirror_alac flacdir"
    exit 1
fi

flacdir="$1"
m4adir=`echo $flacdir | sed -e "s;/flac/;/m4a/;" -`

# Mirror to ALAC
if [ -f /etc/vortexbox/autoaac ]; then
	#echo "Mirroring FLAC files in $flacdir to m4a in $m4adir"
	
	# Wait for other mirroring process to finish
	while [ -f /etc/vortexbox/mirror.running ]; do 
		sleep 3
	done

	# Block new mirroring process from starting
	touch /etc/vortexbox/mirror.running

	if [ ! -d "$m4adir" ]; then
      mkdir -p "$m4adir"
	fi
	
	if [ -f "$flacdir/cover.jpg" ]; then
      cp -a "$flacdir/cover.jpg" "$m4adir/cover.jpg"
      cp -a "$flacdir/cover.jpg" "$m4adir/folder.jpg"
	fi

	echolog "Mirror of FLAC files in $flacdir to m4a in $m4adir started."
	/usr/local/sbin/flac2m4a.sh "$flacdir" "$m4adir" >> /var/log/mirror.log
	echolog "Mirror of FLAC files in $flacdir to m4a in $m4adir completed."
	
	# allow other processes to run
	rm /etc/vortexbox/mirror.running
fi