#!/bin/bash
# Copyright (C) 2009 - 2015 Small Green Computer
#

function echolog {
	echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

if [ $# -ne 1 ]
then
    echo "Usage: auto_mirror_mp3 flacdir"
    exit 1
fi

flacdir="$1"
mp3dir=`echo $flacdir | sed -e "s;/flac/;/mp3/;" -`

# Mirror to mp3
if [ -f /etc/vortexbox/automp3 ]; then
	#echo "Mirroring FLAC files in $flacdir to mp3 in $mp3dir"
	
	# Wait for other mirroring process to finish
	while [ -f /etc/vortexbox/mirror.running ]; do 
		sleep 3
	done

	# Block new mirroring process from starting
	touch /etc/vortexbox/mirror.running

	if [ ! -d "$mp3dir" ]; then
      mkdir -p "$mp3dir"
	fi
	if [ -f "$flacdir/cover.jpg" ]; then
      cp -a "$flacdir/cover.jpg" "$mp3dir/cover.jpg"
      cp -a "$flacdir/cover.jpg" "$mp3dir/folder.jpg"
	fi

	LAMEOPT=`cat /etc/vortexbox/lameopt.txt`
	lameargs="--noreplaygain -h --nohist --quiet $LAMEOPT"

	if [ ! -f /etc/vortexbox/covermp3 ]; then
      mirrorargs="--nocoverart"
	else
	  mirrorargs=
	fi
    
	#echo "Invoke flac2mp3.pl $mirrorargs --lameargs=$lameargs $flacdir $mp3dir"
	echolog "Mirror of FLAC files in $flacdir to mp3 in $mp3dir started."
	/usr/local/sbin/flac2mp3.pl $mirrorargs --lameargs="$lameargs" "$flacdir" "$mp3dir"
	echolog "Mirror of FLAC files in $flacdir to mp3 in $mp3dir completed."
	
	# allow other processes to run
	rm /etc/vortexbox/mirror.running
fi