#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

echo "" >> /var/log/vbupgrade.log
echolog "Installing MinimServer (This can take a long time...)" >> /var/log/vbupgrade.log

dnf clean all
dnf -y install jre >> /var/log/vbupgrade.log

cd /opt
rm -rf MinimServer-*-linux-x64.tar.gz
echolog "Installing  http://"`cat /var/www/html/config/download-link.txt` >> /var/log/vbupgrade.log
wget http://`cat /var/www/html/config/download-link.txt` 
tar xf MinimServer-*-linux-x64.tar.gz
rm MinimServer-*-linux-x64.tar.gz

cat > /usr/lib/systemd/system/minimserver.service <<EOF
[Unit]
Description=MinimServer Daemon
After=local-fs.target network.target

[Service]
ExecStart=/opt/minimserver/bin/minimserver_service
RestartSec=5
Restart=on-failure

[Install]
WantedBy=multi-user.target
EOF

cat > /opt/minimserver/bin/minimserver_service <<EOF
#!/bin/sh

cd /opt/minimserver/data
LD_LIBRARY_PATH="/opt/minimserver/libsys" /usr/bin/java -jar /opt/minimserver/lib/mserver.jar

exit
EOF

chmod +x /opt/minimserver/bin/minimserver_service

echo "minimserver.contentDir = /storage/music/flac" > /opt/minimserver/data/minimserver.config

touch /etc/vortexbox/packages/minimserver

/usr/bin/systemctl enable minimserver.service
/usr/bin/systemctl start minimserver.service

echolog "MinimServer installed." >> /var/log/vbupgrade.log
echo "" >> /var/log/vbupgrade.log
