#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

echo "" >> /var/log/vbupgrade.log
echolog "Installing Subsonic (This can take a long time...)" >> /var/log/vbupgrade.log

dnf clean all
dnf -y install subsonic jre lame flac faad2 vorbis-tools ffmpeg mplayer mac faac >> /var/log/vbupgrade.log

if [ ! -d /usr/lib/win32 ]; then
  mkdir -p /usr/lib/win32
  cd /var/tmp
  wget http://www1.mplayerhq.hu/MPlayer/releases/codecs/essential-20071007.tar.bz2
  bzip2 -cd essential-20071007.tar.bz2 | tar xvf -
  rm essential-20071007.tar.bz2
  cp essential-20071007/* /usr/lib/win32
  rm -rf essential-20071007
fi

touch /etc/vortexbox/packages/subsonic
cp /opt/vortexbox/package-scripts/subsonic.sh /usr/bin/subsonic 

service subsonic start

echolog "Subsonic installed." >> /var/log/vbupgrade.log
echo "" >> /var/log/vbupgrade.log
