#!/bin/bash
# Copyright (C) 2008 - 2015 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

sleep 2

if [ -f /var/www/html/config/ifcfg-eth0.new ] ; then
	mv /var/www/html/config/ifcfg-eth0.new /etc/sysconfig/network-scripts/ifcfg-eth0
fi

# homename workgroup
HOSTNAME=$1
HOSTUPPER=`echo $1 | tr "[:lower:]" "[:upper:]"`
WORKGROUP=$2

/bin/hostnamectl set-hostname $HOSTNAME

echo "# Do not remove the following line, or various programs" > /etc/hosts
echo "# that require network functionality will fail." >> /etc/hosts
echo "127.0.0.1		localhost	localhost.localdomain	$HOSTNAME	$HOSTNAME.localdomain" >> /etc/hosts


cat > /etc/samba/smb.conf <<EOF
[global]
workgroup = $WORKGROUP
server string = VortexBox Media Server
security = user
map to guest = Bad User
public = yes
obey pam restrictions = Yes
pam password change = Yes
dns proxy = No
usershare allow guests = Yes
log level = 3
log file = /var/log/samba/samba.log
unix extensions = no
wide links = yes
printcap name = /etc/printcap
load printers = no
socket options = IPTOS_LOWDELAY TCP_NODELAY SO_KEEPALIVE
write cache size = 2097152
use sendfile = true
getwd cache = yes
oplocks = no
netbios name = $HOSTUPPER

[files]
comment = Read/Write file share
path = /storage
browsable = Yes
guest ok = Yes
read only = No
create mask = 0755
directory mask = 0755
force user = root
force group = root

[music_readonly]
comment = Read Only music share
path = /storage/music
browsable = Yes
guest ok = Yes
read only = Yes
create mask = 0755
directory mask = 0755
force user = root
force group = root

[pictures_readonly]
comment = Read Only pictures share
path = /storage/pictures
browsable = Yes
guest ok = Yes
read only = Yes
create mask = 0755
directory mask = 0755
force user = root
force group = root

[movies_readonly]
comment = Read Only movies share
path = /storage/movies
browsable = Yes
guest ok = Yes
read only = Yes
create mask = 0755
directory mask = 0755
force user = root
force group = root

EOF

if [ -f /etc/vortexbox/keepout.smb ]
then
cat >> /etc/samba/smb.conf <<EOF
[keepout]
path = /
browsable = Yes
guest ok = Yes
read only = No
create mask = 0755
directory mask = 0755
force user = root
force group = root

EOF

else
cat >> /etc/samba/smb.conf <<EOF
#[keepout]
#path = /
#browsable = Yes
#guest ok = Yes
#read only = No
#create mask = 0755
#directory mask = 0755
#force user = root
#force group = root

EOF

fi

sleep 2