#!/bin/bash
# Copyright (C) 2008 - 2015 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

ACTION=$1
DRIVE=$2
NOW=`date +'%m/%d/%Y %H:%M:%S'`
function echolog {
	echo ""
	echo "##### `date +'%m/%d/%Y %H:%M:%S'` - $1"
}

function clean_drive {
	echolog "Cleaning drive /dev/$1 ..."
	sgdisk --zap-all --clear -g /dev/$1
	sgdisk -p /dev/$1
	echolog "Cleaning drive /dev/$1 complete."
} 

echo "Drive cleaner"
echo "You need two argument an action and a drive"
echo "ACTIONS"
echo "-----------------"
echo "clean"
echo "ext4"
echo "storage"
echo "status"
echo ""
if [ -z "$ACTION" ]; then echo "ACTION is not defined"; exit; else echo "ACTION is set to '$ACTION'"; fi
if [ -z "$DRIVE" ]; then echo "DRIVE is not defined"; exit; else echo "DRIVE is set to '$DRIVE'"; fi

case $ACTION in
  clean )
	echo "clean $DRIVE"
	sgdisk -p /dev/$DRIVE
	echo ""
	clean_drive $DRIVE
	;;
  ext4 )
	echo "Creating new ext4 on /dev/$DRIVE"
	clean_drive $DRIVE
	echolog "Creating Linux partition on /dev/$DRIVE"
	sgdisk -N 1 -c 1:"ext4" /dev/$DRIVE
	echolog "Creating Linux partition on /dev/$DRIVE complete."
	DRIVEPART=$DRIVE
	DRIVEPART+=1
	echolog "Creating EXT4 file system on /dev/$DRIVEPART"
	mkfs.ext4 /dev/$DRIVEPART
	echolog "Creating EXT4 file system on /dev/$DRIVEPART complete."
	sgdisk -p /dev/$DRIVE
	echo "Creating new ext4 on /dev/$DRIVE complete."
	;;
  storage )
	echo "clean $DRIVE"
	;;
  status )
	echo "Info for $DRIVE"
	sgdisk -p /dev/$DRIVE
	echo ""
	;;

  * )
	echo "Unknown action."
	;;	

esac	

