#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer, LLC
#

if [ $# -ne 1 ]
then
    echo "Usage: config_2nd_drive.sh drive (ex. /dev/sdb)"
    exit 1
fi

DRIVE=$1
PARTNUM='1'
DRIVEPART=$DRIVE$PARTNUM

echo ""
echo "------------------------------------------------------"
echo "*** Wipe $DRIVE"
echo "------------------------------------------------------"
sgdisk --zap $DRIVE
partprobe
sync

echo ""
echo "------------------------------------------------------"
echo "*** Updating system"
echo "------------------------------------------------------"

# Clean storage
umount /storage
mkdir /storage
cd /storage
rm -rf *
cd /

echo ""
echo "------------------------------------------------------"
echo "*** Creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p $DRIVE
partprobe
sleep 2
sgdisk -N 1 -c 1:"Linux LVM" -t 1:8e00 $DRIVE
partprobe
sleep 2
echo ""
echo "------------------------------------------------------"
echo "*** Done creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p $DRIVE

echo ""
echo "------------------------------------------------------"
echo "*** Creating Physical volume"
echo "------------------------------------------------------"
pvcreate -y $DRIVEPART
pvdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Creating Volume Group"
echo "------------------------------------------------------"
vgcreate VolGroup $DRIVEPART
vgdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Creating Logical volume"
echo "------------------------------------------------------"
lvcreate -y -l +100%FREE VolGroup -n lv_storage
lvdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Formatting Logical volume with EXT4 file system"
echo "------------------------------------------------------"
mkfs.ext4 -F /dev/mapper/VolGroup-lv_storage

echo ""
echo "------------------------------------------------------"
echo "*** Mounting volume and set to auto mount on boot"
echo "------------------------------------------------------"
mount /dev/mapper/VolGroup-lv_storage /storage

mkdir -p /storage/music/flac
mkdir -p /storage/music/mp3
mkdir -p /storage/music/playlist
mkdir -p /storage/pictures
mkdir -p /storage/movies

cat > /opt/vortexbox/mount_drives.sh <<EOF
#!/bin/bash
for (( c=1; c<=15 ; c++ ))
do
	if [ ! -b /dev/mapper/VolGroup-lv_storage ] ; then
		sleep 2
	else
		break
	fi	
done

mount /dev/mapper/VolGroup-lv_storage /storage
/sbin/hdparm -B 255 $DRIVE
EOF

touch /forcefsck

echo "Done."