#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#

echo ""
echo "------------------------------------------------------"
echo "*** Fixing errors on /dev/sda"
echo "------------------------------------------------------"
sgdisk -g -G /dev/sda
partprobe
sync

echo ""
echo "------------------------------------------------------"
echo "*** Updating system"
echo "------------------------------------------------------"

# Clean storage
mkdir /storage
cd /storage
rm -rf *
cd /

echo ""
echo "------------------------------------------------------"
echo "*** Creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p /dev/sda
partprobe
sleep 2
sgdisk -N 5 -c 5:"Linux LVM" -t 5:8e00 /dev/sda
partprobe
sleep 2
echo ""
echo "------------------------------------------------------"
echo "*** Done creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p /dev/sda

echo ""
echo "------------------------------------------------------"
echo "*** Creating Physical volume"
echo "------------------------------------------------------"
pvcreate -y /dev/sda5
pvdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Creating Volume Group"
echo "------------------------------------------------------"
vgcreate VolGroup /dev/sda5
vgdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Creating Logical volume"
echo "------------------------------------------------------"
lvcreate -y -l +100%FREE VolGroup -n lv_storage
lvdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Formatting Logical volume with EXT4 file system"
echo "------------------------------------------------------"
mkfs.ext4 -F /dev/mapper/VolGroup-lv_storage

echo ""
echo "------------------------------------------------------"
echo "*** Mounting volume and set to auto mount on boot"
echo "------------------------------------------------------"

umount /storage

cd /storage
rm -rf *

mount /dev/mapper/VolGroup-lv_storage /storage

mkdir -p /storage/music/flac
mkdir -p /storage/music/mp3
mkdir -p /storage/music/playlist
mkdir -p /storage/pictures
mkdir -p /storage/movies

cat > /opt/vortexbox/mount_drives.sh <<EOF
#!/bin/bash
while [ ! -b /dev/mapper/VolGroup-lv_storage ] ;
do
      sleep 2
done

mount /dev/mapper/VolGroup-lv_storage /storage
/sbin/hdparm -B 255 /dev/sda
EOF

touch /forcefsck

echo ""
echo "Done."
echo ""