#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer, LLC
#

if [ $# -ne 1 ]
then
    echo "Usage: config_lvm_drive drive (ex. /dev/sdb)"
    exit 1
fi


echo ""
echo "------------------------------------------------------"
echo "*** Wipe " $1
echo "------------------------------------------------------"
sgdisk --zap $1
partprobe
sync

echo ""
echo "------------------------------------------------------"
echo "*** Creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p $1
partprobe
sleep 2
sgdisk -N 1 -c 1:"Linux LVM" -t 1:8e00 /dev/sdb
partprobe
sleep 2
echo ""
echo "------------------------------------------------------"
echo "*** Done creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p $1

echo ""
echo "------------------------------------------------------"
echo "*** Creating Physical volume"
echo "------------------------------------------------------"
pvcreate -y $1
pvdisplay

echo "Done LVM partition created on " $1