#!/usr/bin/php
<?php
// Copyright (C) 2008 - 2015 Small Green Computer
//

function convert_to_filename ($string) {
    $string = str_replace ("..", ".", $string);
    $string = str_replace ("\\", "-", $string);
    $string = str_replace ("/", "-", $string);
    $string = str_replace (":", "-", $string);
    $string = str_replace ("?", "-", $string);
    $string = str_replace ("\"", "-", $string);
    $string = str_replace ("<", "-", $string);
    $string = str_replace (">", "-", $string);
    $string = str_replace ("|", "-", $string);
    
    return $string;
}


if ($argc != 3) {
echo "\n";
echo "Usage : flac2aiff.php 'flac-path' 'aiff-path'\n";
echo "Exit...\n\n";
exit(1);
}

$flacpath = $argv[1];
$aiffpath = $argv[2];

echo "FLAC path : " .$flacpath. "\n";
echo "AIFF path : " .$aiffpath. "\n";

// Check FLAC path exist
if (is_dir($flacpath) == FALSE) {
echo "\n";
echo "FLAC folder does not exist !\n";
echo "Exit...\n\n";
exit(1);
}

// Display information
echo "\n";
echo "FLAC path : " .$flacpath. "\n";
echo "AIFF path : " .$aiffpath. "\n";
echo "\n";

$output = shell_exec('mkdir -p "' .$aiffpath. '"');

// Encode FLAC to AIFF format
$dir = new DirectoryIterator($flacpath);
foreach ($dir as $fileinfo) {
	$extension = strtolower($fileinfo->getExtension());
	if ($fileinfo->getExtension() == "flac") {
	$flacfilepath = $flacpath. '/' .$fileinfo->getFilename();
	$aifffile = $fileinfo->getBasename('.flac'). '.aiff';
	$aifffilepath = $aiffpath. '/' .$aifffile;
	echo "\n";    
	echo "----- Encode FLAC to AIFF -------------------------------------\n";
	echo "  FLAC file : " .$flacfilepath. "\n";
	echo "  AIFF file : " .$aifffilepath. "\n";
	echo "\n";
	echo '  ffmpeg -v info -y -i "' .$flacfilepath. '" -f aiff -write_id3v2 1 -map_metadata 0 -id3v2_version 3 "' .$aifffilepath. '"';
	echo "\n\n";
	$output = shell_exec('ffmpeg -v info -y -i "' .$flacfilepath. '" -f aiff -write_id3v2 1 -map_metadata 0 -id3v2_version 3 "' .$aifffilepath. '"');
	echo "\n";
	}
}

// Copy cover art to AIFF folder
$dir = new DirectoryIterator($flacpath);
foreach ($dir as $fileinfo)  {
$filename = $fileinfo->getFilename();
	$aiffjpgpath = $aiffpath. '/' .$filename;
	$flacfilepath = $flacpath. '/' .$filename;
	$extension = strtolower($fileinfo->getExtension());
#        echo "Extension : " .$extension. "\n";
if (($extension == "jpg") || ( $extension == "jpeg") || ( $extension == "png") || ( $extension == "bmp") ) {
	echo "\n";    
		echo "----- Copy cover art to AIFF path -----------------------------\n";
	echo '  cp -f "' .$flacfilepath. '" "' .$aiffjpgpath. '"';
	echo "\n";
	$output = shell_exec('  cp -f "' .$flacfilepath. '" "' .$aiffjpgpath. '"');
	echo "\n";
}
}

echo "\n";
echo "Done\n";
echo "Exit...\n\n";
exit(0);

?>